# registered limit

Identity v3

Registered limits are used to define default limits for resources within a deployment.

## registered limit create

Create a registered limit

    openstack registered limit create
        [--description <description>]
        [--region <region>]
        --service <service>
        --default-limit <default-limit>
        <resource-name>

--description <description>

  Description of the registered limit

--region <region>

  Region for the registered limit to affect

--service <service>

  Service responsible for the resource to limit (required) (name or ID)

--default-limit <default-limit>

  The default limit for the resources to assume (required)

resource-name

  The name of the resource to limit

## registered limit delete

Delete a registered limit

    openstack registered limit delete
        <registered-limits>
        [<registered-limits> ...]

registered-limits

  Registered limit(s) to delete (ID) (repeat option to remove multiple registered limits)

## registered limit list

List registered limits

    openstack registered limit list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--service <service>]
        [--resource-name <resource-name>]
        [--region <region>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--service <service>

  Service responsible for the resource to limit (name or ID)

--resource-name <resource-name>

  The name of the resource to limit

--region <region>

  Region for the limit to affect.

## registered limit set

Update information about a registered limit

    openstack registered limit set
        [--service <service>]
        [--resource-name <resource-name>]
        [--default-limit <default-limit>]
        [--description <description>]
        [--region <region>]
        <registered-limit-id>

--service <service>

  Service to be updated responsible for the resource to limit (name or ID). Either –service, –resource-name or –region must be different than existing value otherwise it will be duplicate entry

--resource-name <resource-name>

  Resource to be updated responsible for the resource to limit. Either –service, –resource-name or –region must be different than existing value otherwise it will be duplicate entry

--default-limit <default-limit>

  The default limit for the resources to assume

--description <description>

  Description to update of the registered limit

--region <region>

  Region for the registered limit to affect. Either –service, –resource-name or –region must be different than existing value otherwise it will be duplicate entry

registered-limit-id

  Registered limit to update (ID)

## registered limit show

Display registered limit details

    openstack registered limit show <registered-limit-id>

registered-limit-id

  Registered limit to display (ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.